---
id: neo-4-j-point-input
title: _Neo4jPointInput
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

Generated Point input object for Neo4j [Spatial field arguments](https://grandstack.io/docs/graphql-spatial-types/#point-query-arguments).

```graphql
type _Neo4jPointInput {
  x: Float
  y: Float
  z: Float
  longitude: Float
  latitude: Float
  height: Float
  crs: String
  srid: Int
}
```

### Fields

#### `x` ([`Float`](/docs/api/scalars/float))

#### `y` ([`Float`](/docs/api/scalars/float))

#### `z` ([`Float`](/docs/api/scalars/float))

#### `longitude` ([`Float`](/docs/api/scalars/float))

#### `latitude` ([`Float`](/docs/api/scalars/float))

#### `height` ([`Float`](/docs/api/scalars/float))

#### `crs` ([`String`](/docs/api/scalars/string))

#### `srid` ([`Int`](/docs/api/scalars/int))
